Can't convert ps.version=8.55.03 Assuming ps.version=8.4

Document ID : KB000004319
Last Modified Date : 14/02/2018
Show Technical Document Details
Issue:

CA Workload automation Agent for PeopleSoft 11.3.x failed to start with errors;

Can't convert ps.version=8.55.03 Assuming ps.version=8.4

java.sql.SQLException: ORA-01400: cannot insert NULL into ("SYSADM"."PSPRCSPARMS"."PRCSFILENAME")

Environment:
Windows, Linux, and UNIX
Cause:

The format of the PeopleTools version in agent's agentparm.txt file is incorrect possibly due to manual update of the ps.version= parameter.

Resolution:

The PeopleTools version must be a number. For example, PeopleTools 8.55.03 should be specified in agent's agentparm.txt file as 'ps.version=8.55'.

Notes: You can determine your version of PeopleTools by pressing CTRL+J while you are on a PIA page in an application.

The agent should be restarted for the change to be effected.

Additional Information:

CA WA Agent for PeopleSoft Agent Plug-in Reference Information